[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#613174: Please stop using HAL

Package: gnome-pilot
Version: 2.0.17-2
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: halectomy


HAL has been deprecated and declared dead upstream so we want to
get rid of it eventually in Debian [1].

Please stop using HAL. As it seems, the latest git master [2] has
already been ported away from libhal [3] so getting a newer snapshot
into Debian would be all that is needed.


[1] http://wiki.debian.org/HALRemoval
[2] http://git.gnome.org/browse/gnome-pilot/

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-pilot depends on:
ii  gconf2                 2.28.1-6          GNOME configuration database syste
ii  libart-2.0-2           2.3.21-1          Library of functions for 2D graphi
ii  libatk1.0-0            1.30.0-1          The ATK accessibility toolkit
ii  libbonobo2-0           2.24.3-1          Bonobo CORBA interfaces library
ii  libbonoboui2-0         2.24.3-1          The Bonobo UI library
ii  libc6                  2.11.2-11         Embedded GNU C Library: Shared lib
ii  libcairo2              1.10.2-2          The Cairo 2D vector graphics libra
ii  libdbus-1-3            1.4.1-2           simple interprocess messaging syst
ii  libdbus-glib-1-2       0.88-2.1          simple interprocess messaging syst
ii  libfontconfig1         2.8.0-2.1         generic font configuration library
ii  libfreetype6           2.4.2-2.1         FreeType 2 font engine, shared lib
ii  libgconf2-4            2.28.1-6          GNOME configuration database syste
ii  libglade2-0            1:2.6.4-1         library to load .glade files at ru
ii  libglib2.0-0           2.28.0-1          The GLib library of C routines
pn  libgnome-pilot2        <none>            (no description available)
ii  libgnome2-0            2.30.0-1          The GNOME library - runtime files
ii  libgnomecanvas2-0      2.30.1-1          A powerful object-oriented display
ii  libgnomeui-0           2.24.3-1          The GNOME libraries (User Interfac
ii  libgnomevfs2-0         1:2.24.3-2        GNOME Virtual File System (runtime
ii  libgtk2.0-0            2.20.1-2          The GTK+ graphical user interface 
ii  libhal1                0.5.14-5          Hardware Abstraction Layer - share
ii  libice6                2:1.0.7-1         X11 Inter-Client Exchange library
ii  liborbit2              1:2.14.18-0.1     libraries for ORBit2 - a CORBA ORB
ii  libpanel-applet2-0     2.30.2-3          library for GNOME Panel applets
ii  libpango1.0-0          1.28.3-1+squeeze1 Layout and rendering of internatio
pn  libpisock9             <none>            (no description available)
pn  libpisync1             <none>            (no description available)
ii  libpopt0               1.16-1            lib for parsing cmdline parameters
ii  libsm6                 2:1.2.0-1         X11 Session Management library
ii  libxml2                2.7.8.dfsg-2      GNOME XML library

Versions of packages gnome-pilot recommends:
pn  gnome-pilot-conduits          <none>     (no description available)

gnome-pilot suggests no packages.

Reply to: